package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumDateAmtType {

    // 0 交易记录 1.核销记录 2:刷卡支付;
    PAY_RECORD(0, "交易记录"),
    VERIFY_RECORD(1, "核销记录"),
    MICROPAY_RECORD(2, "刷卡支付"),
    ;

    public static EnumDateAmtType getEnum(Integer code) {
        for (EnumDateAmtType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumDateAmtType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
